package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolStairAdditemRequest struct {
	/*
	   系统自动生成     */
	Param0 *domain.AlibabaWdkMarketingItempoolStairAdditemItemPoolSku `json:"param0,omitempty" required:"false" `
	/*
	   系统自动生成     */
	Param1 *domain.AlibabaWdkMarketingItempoolStairAdditemCommonActivityParam `json:"param1,omitempty" required:"false" `
}

func (s *AlibabaWdkMarketingItempoolStairAdditemRequest) SetParam0(v domain.AlibabaWdkMarketingItempoolStairAdditemItemPoolSku) *AlibabaWdkMarketingItempoolStairAdditemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairAdditemRequest) SetParam1(v domain.AlibabaWdkMarketingItempoolStairAdditemCommonActivityParam) *AlibabaWdkMarketingItempoolStairAdditemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolStairAdditemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolStairAdditemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
